Name:           python-spavro
Version:        1.1.27
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An Avro library, Spavro is a (sp)eedier avro implementation using Cython -- Spavro is a fork of the official Apache AVRO python 2 implementation with the goal of greatly improving data read deserialization and write serialization performance.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/mikepk/spavro
Source:         %{pypi_source spavro}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'spavro' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-spavro
Summary:        %{summary}

%description -n python3-spavro %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-spavro snappy,test


%prep
%autosetup -p1 -n spavro-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x snappy,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-spavro -f %{pyproject_files}


%changelog
%autochangelog